This page was not yet optimized for use on mobile devices.
Skyhigh Security OpenSSL Module
Certificate details
| Certificate ID | #4439 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 15.02.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. No assurance of the minimum strength of generated keys |
| Exceptions |
|
| Description | The Skyhigh Security OpenSSL Module provides FIPS validated cryptographic services for Skyhigh Security products. |
| Tested configurations |
|
| Vendor | Skyhigh Security http://www.skyhighsecurity.com |
| Lab | Gossamer Security Solutions |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, RC2, RC4, RC5, DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-512, HMAC-SHA-384, CMAC, CBC-MACAsymmetric Algorithms
ECDSA, ECC, DHE, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-512, SHA3, SHA3-224, SHA3-256, SHA3-512, SHA-3, MD4, MD5, RIPEMD, PBKDFSchemes
MAC, Key AgreementProtocols
SSH, TLS, TLS v1.0, TLS 1.3, TLS v1.3, TLSv1.2, TLSv1.3Randomness
DRBG, RNGLibraries
OpenSSLElliptic Curves
P-224, P-384, P-521, P-256, B-233, B-283, B-409, B-571, K-283, K-409, K-571Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XEX, XTSTrusted Execution Environments
SSCSecurity level
Level 1Standards
FIPS 140-2, FIPS 197, FIPS 186-4, FIPS 180-4, FIPS 202, FIPS 198-1, FIPS140-2, FIPS PUB 140-2, SP 800-90A, SP 800-38E, PKCS#1, RFC-8446, RFC-3961, RFC5288, RFC-5288Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4439,
"dgst": "8ee3d6eae3069ec5",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"RSA#A3012",
"CVL#A2366",
"#A3012",
"SHA-3#A2366",
"PBKDF#A2366",
"RSA#A2366",
"#A2366",
"HMAC#A2366",
"KAS#A2366",
"ECDSA#A2366",
"SHS#A2366",
"KAS-SSC#A2366",
"KTS#A2366",
"AES#A2366",
"DRBG#A2366",
"DSA#A2366",
"AES#A3012"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 17
}
},
"FF": {
"DH": {
"DH": 4,
"DHE": 1,
"Diffie-Hellman": 19
},
"DSA": {
"DSA": 20
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"CCM": {
"CCM": 6
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 12
},
"OFB": {
"OFB": 2
},
"XEX": {
"XEX": 2
},
"XTS": {
"XTS": 5
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 5
}
},
"crypto_protocol": {
"SSH": {
"SSH": 9
},
"TLS": {
"TLS": {
"TLS": 19,
"TLS 1.3": 1,
"TLS v1.0": 1,
"TLS v1.3": 1,
"TLSv1.2": 1,
"TLSv1.3": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 2
},
"MAC": {
"MAC": 2
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-233": 3,
"B-283": 3,
"B-409": 3,
"B-571": 3,
"K-283": 3,
"K-409": 3,
"K-571": 3,
"P-224": 12,
"P-256": 6,
"P-384": 8,
"P-521": 12
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES GCM (128": 1,
"AES-128": 2,
"AES-192": 2,
"AES-256": 2,
"HMAC (128": 1,
"HMAC SHA-256": 2,
"HMAC-SHA- 384": 2,
"HMAC-SHA-1": 4,
"HMAC-SHA-224": 4,
"HMAC-SHA-256": 2,
"HMAC-SHA-256 5": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"HMAC-SHA-512 112": 2,
"PKCS#1": 6,
"SHA- 1": 1,
"SHA-1": 12,
"SHA-224": 1,
"SHA-256": 4,
"SHA-3": 1,
"SHA-512": 2,
"SHA2- 224": 1,
"SHA2- 256": 2,
"SHA2- 384": 5,
"SHA2- 512": 4,
"SHA2-224": 10,
"SHA2-256": 14,
"SHA2-384": 10,
"SHA2-512": 11,
"SHA3": 1,
"SHA3- 384": 1,
"SHA3-224": 1,
"SHA3-256": 2,
"SHA3-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 1
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 3
}
},
"PBKDF": {
"PBKDF": 13
},
"RIPEMD": {
"RIPEMD": 1
},
"SHA": {
"SHA1": {
"SHA-1": 12
},
"SHA2": {
"SHA-224": 1,
"SHA-256": 4,
"SHA-512": 2
},
"SHA3": {
"SHA-3": 1,
"SHA3": 1,
"SHA3-224": 1,
"SHA3-256": 2,
"SHA3-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 11
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 7,
"FIPS 180-4": 2,
"FIPS 186-4": 17,
"FIPS 197": 8,
"FIPS 198-1": 3,
"FIPS 202": 2,
"FIPS PUB 140-2": 1,
"FIPS140-2": 2
},
"NIST": {
"SP 800-38E": 1,
"SP 800-90A": 5
},
"PKCS": {
"PKCS#1": 3
},
"RFC": {
"RFC-3961": 4,
"RFC-5288": 2,
"RFC-8446": 2,
"RFC5288": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 32,
"AES-128": 2,
"AES-192": 2,
"AES-256": 2
},
"RC": {
"RC2": 2,
"RC4": 2,
"RC5": 2
}
},
"DES": {
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"CBC-MAC": 1,
"CMAC": 8,
"HMAC": 30,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 2
}
}
},
"tee_name": {
"IBM": {
"SSC": 1
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"RSA#A3012",
"CVL#A2366",
"SHA-3#A2366",
"PBKDF#A2366",
"RSA#A2366",
"HMAC#A2366",
"KAS#A2366",
"ECDSA#A2366",
"SHS#A2366",
"KAS-SSC#A2366",
"KTS#A2366",
"AES#A2366",
"DRBG#A2366",
"DSA#A2366",
"AES#A3012"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A3012",
"#A2366"
]
},
"policy_metadata": {
"/Author": "Richard Wang",
"/CreationDate": "D:20230210145141-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2016",
"/ModDate": "D:20230210145141-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2016",
"pdf_file_size_bytes": 562400,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.skyhighsecurity.com/",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?product=14867",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35622"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 22
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "f6892c211e79e05ec4ed19079d73a6cc966e2ac3b6ddb3d669d8973303c222fa",
"source_hash": "1b508e06578a91f2d0c77b8c1d0bc39c678800bd5e1866a5db54a65eab265ede",
"txt_hash": "61bd145d3d64be40d2fc07c6da31576ea5edba63e1d5c7b425719cbb3c390926"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. No assurance of the minimum strength of generated keys",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/February 2023_010323_0649.pdf",
"date_sunset": null,
"description": "The Skyhigh Security OpenSSL Module provides FIPS validated cryptographic services for Skyhigh Security products.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Skyhigh Security OpenSSL Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.1.1v",
"tested_conf": [
"macOS 12.2.1 running on Apple MacBook Pro with Intel \u00ae Core \u2122 i7-7920HQ with PAA",
"macOS 12.2.1 running on Apple MacBook Pro with Intel \u00ae Core \u2122 i7-7920HQ without PAA",
"McAfee Linux 3.8.0 on VMware ESXi 6.7.0 running on Intel (R) Taylor Pass 2U Xeon (R) DP Quad Board Server with Intel \u00ae Xeon \u00ae E5-2699 with PAA",
"McAfee Linux 3.8.0 on Vmware ESXi 6.7.0 running on Intel \u00ae Taylor Pass 2U Xeon\u00ae DP Quad Board Server with Intel \u00ae Xeon \u00ae E5-2699 without PAA",
"SUSE Linux 15 SP3 Enterprise on Vmware ESXi 6.7.0 running on Intel \u00ae Taylor Pass 2U Xeon \u00ae DP Quad Board Server with Intel \u00ae Xeon \u00ae E5-2699 with PAA",
"SUSE Linux 15 SP3 Enterprise on Vmware ESXi 6.7.0 running on Intel \u00ae Taylor Pass 2U Xeon DP Quad Board Server with Intel \u00ae Xeon \u00ae E5-2699 without PAA (single-user mode)",
"Ubuntu 20.04.03 LTS running on Dell PowerEdge R720xd with Intel \u00ae Xeon \u00ae E5-2620 with PAA",
"Ubuntu 20.04.03 LTS running on Dell PowerEdge R720xd with Intel \u00ae Xeon \u00ae E5-2620 without PAA",
"Windows 10 Enterprise 20H2 32-bit running on HP EliteBook 860 G3 with Intel \u00ae Core \u2122 i5-6300U with PAA",
"Windows 10 Enterprise 20H2 32-bit running on HP EliteBook 860 G3 with Intel \u00ae Core \u2122 i5-6300U without PAA",
"Windows Server 2019 H2 64-bit on Vmware ESXi 6.7.0 running on Intel \u00ae Taylor Pass 2U Xeon \u00ae DP Quad Board Server with Intel \u00ae Xeon \u00ae E5-2699 with PAA",
"Windows Server 2019 H2 64-bit on Vmware ESXi 6.7.0 running on Intel \u00ae Taylor Pass 2U Xeon \u00ae DP Quad Board Server with Intel \u00ae Xeon \u00ae E5-2699 without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-02-15",
"lab": "Gossamer Security Solutions",
"validation_type": "Initial"
}
],
"vendor": "Skyhigh Security",
"vendor_url": "http://www.skyhighsecurity.com"
}
}